Index: test/test262/prune-local-tests.sh |
diff --git a/test/test262/prune-local-tests.sh b/test/test262/prune-local-tests.sh |
index a0c309bbe37459fd1c9400809453c19b822f77e7..3d78f6963c50681e64f2fffd529d5eca358f16bf 100755 |
--- a/test/test262/prune-local-tests.sh |
+++ b/test/test262/prune-local-tests.sh |
@@ -7,9 +7,11 @@ |
# when they are identical to upstreamed tests. It should be run as part of |
# the test262 roll process. |
-find -f test/test262/local-tests | while read localpath; do |
+find test/test262/local-tests -type f | while read localpath; do |
datapath=${localpath/local-tests/data} |
- if diff $localpath $datapath >/dev/null ; then |
- git rm $localpath || exit 1 |
+ if [ -e $datapath ] ; then |
+ if diff $localpath $datapath >/dev/null ; then |
+ git rm $localpath || exit 1 |
+ fi |
fi |
done |